<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>tools/questmanager.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">tools/questmanager.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2004-2006 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_MGR_QUEST__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_MGR_QUEST__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/weakref_8h.html">csutil/weakref.h</a>&quot;</span>
<a name="l00026"></a>00026 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/hash_8h.html">csutil/hash.h</a>&quot;</span>
<a name="l00027"></a>00027 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/vector3_8h.html">csgeom/vector3.h</a>&quot;</span>
<a name="l00028"></a>00028 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/refarr_8h.html">csutil/refarr.h</a>&quot;</span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;tools/rewards.h&quot;</span>
<a name="l00030"></a>00030 <span class="preprocessor">#include &quot;tools/sequences.h&quot;</span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;tools/triggers.h&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;physicallayer/pl.h&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a>;
<a name="l00035"></a>00035 <span class="keyword">struct </span><a class="code" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyRewardFactory</a>;
<a name="l00036"></a>00036 <span class="keyword">struct </span><a class="code" href="structiCelDataBuffer.html" title="This interface describes persistable data.">iCelDataBuffer</a>;
<a name="l00037"></a>00037 <span class="keyword">struct </span><a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>;
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">class </span>celQuestManager;
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00043"></a>00043 <span class="comment">// The Quest</span>
<a name="l00044"></a>00044 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00045"></a>00045 
<a name="l00050"></a><a class="code" href="structiQuest.html">00050</a> <span class="keyword">struct </span><a class="code" href="structiQuest.html" title="A quest instance.">iQuest</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00051"></a>00051 {
<a name="l00052"></a>00052   SCF_INTERFACE (<a class="code" href="structiQuest.html" title="A quest instance.">iQuest</a>, 0, 0, 1);
<a name="l00053"></a>00053 
<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuest.html#ab4d7b92b333989b378bdaac5ae593210" title="Switch this quest to some specific state.">SwitchState</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* state) = 0;
<a name="l00059"></a>00059 
<a name="l00063"></a>00063   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiQuest.html#a2504ffb80ce62b42f83b874b6890a8b2" title="Get current state name of this quest.">GetCurrentState</a> () <span class="keyword">const</span> = 0;
<a name="l00064"></a>00064 
<a name="l00070"></a>00070   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuest.html#ae4d04b170fdb893697bb9e631bad8956" title="This is a special version of SwitchState() that needs to be used in case you are loading a quest from...">LoadState</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* state, <a class="code" href="structiCelDataBuffer.html" title="This interface describes persistable data.">iCelDataBuffer</a>* databuf) = 0;
<a name="l00071"></a>00071 
<a name="l00076"></a>00076   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuest.html#a18cb01bb61ee327277b5b8ee53533688" title="Save the state to the persistence layer.">SaveState</a> (<a class="code" href="structiCelDataBuffer.html" title="This interface describes persistable data.">iCelDataBuffer</a>* databuf) = 0;
<a name="l00077"></a>00077 
<a name="l00081"></a>00081   <span class="keyword">virtual</span> <a class="code" href="structiCelSequence.html" title="A sequence.">iCelSequence</a>*   <a class="code" href="structiQuest.html#aa5df82220b89d9b0294d7731475748cb" title="Find a sequence.">FindSequence</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00082"></a>00082 };
<a name="l00083"></a>00083 
<a name="l00089"></a><a class="code" href="structiQuestTriggerResponseFactory.html">00089</a> <span class="keyword">struct </span><a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00090"></a>00090 {
<a name="l00091"></a>00091   SCF_INTERFACE (<a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>, 0, 0, 1);
<a name="l00092"></a>00092 
<a name="l00097"></a>00097   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestTriggerResponseFactory.html#a1b83ccde7981800fa697a0d68e4d171c" title="Set the trigger factory that is managed by this response factory.">SetTriggerFactory</a> (<a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* trigger_fact) = 0;
<a name="l00098"></a>00098 
<a name="l00103"></a>00103   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestTriggerResponseFactory.html#a7d50e1f162b2aa6d372a72081d14dc3d" title="Add a reward factory.">AddRewardFactory</a> (<a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* reward_fact) = 0;
<a name="l00104"></a>00104 };
<a name="l00105"></a>00105 
<a name="l00110"></a><a class="code" href="structiQuestStateFactory.html">00110</a> <span class="keyword">struct </span><a class="code" href="structiQuestStateFactory.html" title="A representation of a quest state in a quest factory.">iQuestStateFactory</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00111"></a>00111 {
<a name="l00112"></a>00112   SCF_INTERFACE (<a class="code" href="structiQuestStateFactory.html" title="A representation of a quest state in a quest factory.">iQuestStateFactory</a>, 0, 0, 1);
<a name="l00113"></a>00113 
<a name="l00117"></a>00117   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiQuestStateFactory.html#af3844944d5bc4e07904f8a8105b0999c" title="Get the name of this state.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00118"></a>00118 
<a name="l00122"></a>00122   <span class="keyword">virtual</span> <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* <a class="code" href="structiQuestStateFactory.html#a724803df85a3af7178732714a0dff6a8" title="Create a new trigger response.">CreateTriggerResponseFactory</a> () = 0;
<a name="l00123"></a>00123 
<a name="l00127"></a>00127   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestStateFactory.html#a6437a8222a10bcdcecd740e843eafc30" title="Add a new reward to be fired on state initialization.">AddInitRewardFactory</a> (<a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* reward_fact) = 0;
<a name="l00128"></a>00128 
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestStateFactory.html#afe02392e106c273d2d95bf72fbd53dcb" title="Add a new reward to be fired on state exit.">AddExitRewardFactory</a> (<a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* reward_fact) = 0;
<a name="l00133"></a>00133 };
<a name="l00134"></a>00134 
<a name="l00135"></a>00135 
<a name="l00150"></a><a class="code" href="structiQuestFactory.html">00150</a> <span class="keyword">struct </span><a class="code" href="structiQuestFactory.html" title="A quest factory.">iQuestFactory</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00151"></a>00151 {
<a name="l00152"></a>00152   SCF_INTERFACE (<a class="code" href="structiQuestFactory.html" title="A quest factory.">iQuestFactory</a>, 0, 0, 1);
<a name="l00153"></a>00153 
<a name="l00154"></a>00154   <span class="keyword">virtual</span> celQuestManager* GetQuestManager () <span class="keyword">const</span> = 0;
<a name="l00155"></a>00155 
<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiQuestFactory.html#af3d926a780a0677086af3196e82b0839" title="Get the name of this factory.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00160"></a>00160   
<a name="l00168"></a>00168   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr&lt;iQuest&gt;</a> <a class="code" href="structiQuestFactory.html#ab363958672c2b9769cbeac94d5a5cb6d" title="Instantiate a quest from this factory.">CreateQuest</a> (
<a name="l00169"></a>00169           <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celParams</a>&amp; params) = 0;
<a name="l00170"></a>00170 
<a name="l00176"></a>00176   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuestFactory.html#a2e3fc4a12068bf3834b195551346d9b3" title="Load this factory from a document node.">Load</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a>* node) = 0;
<a name="l00177"></a>00177 
<a name="l00182"></a>00182   <span class="keyword">virtual</span> <a class="code" href="structiQuestStateFactory.html" title="A representation of a quest state in a quest factory.">iQuestStateFactory</a>* <a class="code" href="structiQuestFactory.html#a248644bd1b83411535d981b2a9f03f36" title="Get a state from this factory.">GetState</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00183"></a>00183 
<a name="l00188"></a>00188   <span class="keyword">virtual</span> <a class="code" href="structiQuestStateFactory.html" title="A representation of a quest state in a quest factory.">iQuestStateFactory</a>* <a class="code" href="structiQuestFactory.html#a960b6ec97500d48d75ba8d919fb0b529" title="Create a new state in this factory.">CreateState</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00189"></a>00189 
<a name="l00194"></a>00194   <span class="keyword">virtual</span> <a class="code" href="structiCelSequenceFactory.html" title="A representation of a sequence factory.">iCelSequenceFactory</a>* <a class="code" href="structiQuestFactory.html#a2b1408d4242a13d1e72fd141475c97b4" title="Get a sequence factory in this factory.">GetSequence</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00195"></a>00195 
<a name="l00200"></a>00200   <span class="keyword">virtual</span> <a class="code" href="structiCelSequenceFactory.html" title="A representation of a sequence factory.">iCelSequenceFactory</a>* <a class="code" href="structiQuestFactory.html#a0e9bc9b1c924ffb6bddedd66894f72a8" title="Create a new sequence factory in this factory.">CreateSequence</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00201"></a>00201 
<a name="l00206"></a>00206   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiQuestFactory.html#af22c6a77b9de8bd7f8a01bbc417774e0" title="Get a default parameter from this factory.">GetDefaultParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00207"></a>00207 
<a name="l00212"></a>00212   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestFactory.html#a52758c7e8fea9d266406b072b0952e1a" title="Set a default parameter on this factory.">SetDefaultParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name,<span class="keyword">const</span> <span class="keywordtype">char</span>* value) = 0;
<a name="l00213"></a>00213   
<a name="l00217"></a>00217   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestFactory.html#a4d3d113c935c72dfc05c9f7792df47d9" title="Clear all default parameters on this factory.">ClearDefaultParameters</a> () = 0;
<a name="l00218"></a>00218 
<a name="l00219"></a>00219 };
<a name="l00220"></a>00220 
<a name="l00221"></a>00221 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00222"></a>00222 <span class="comment">// The Quest Manager</span>
<a name="l00223"></a>00223 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00224"></a>00224 
<a name="l00230"></a><a class="code" href="structiQuestManager.html">00230</a> <span class="keyword">struct </span><a class="code" href="structiQuestManager.html" title="This is the quest manager.">iQuestManager</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00231"></a>00231 {
<a name="l00232"></a>00232   SCF_INTERFACE (<a class="code" href="structiQuestManager.html" title="This is the quest manager.">iQuestManager</a>, 2, 0, 0);
<a name="l00233"></a>00233 
<a name="l00266"></a>00266   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuestManager.html#a7cf827acee4d312a8742e19f111075f8" title="Register a quest trigger type.">RegisterTriggerType</a> (<a class="code" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iTriggerType</a>* trigger) = 0;
<a name="l00267"></a>00267 
<a name="l00272"></a>00272   <span class="keyword">virtual</span> <a class="code" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iTriggerType</a>* <a class="code" href="structiQuestManager.html#ad4d4aa879be167c7c962cd396193fa52" title="Get a trigger type from the quest manager.">GetTriggerType</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00273"></a>00273 
<a name="l00303"></a>00303   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuestManager.html#af47216e2d7b12ea3380472870bbe5644" title="Register a quest reward type.">RegisterRewardType</a> (<a class="code" href="structiRewardType.html" title="The reward type is responsible for the creation of reward factories.">iRewardType</a>* trigger) = 0;
<a name="l00304"></a>00304 
<a name="l00309"></a>00309   <span class="keyword">virtual</span> <a class="code" href="structiRewardType.html" title="The reward type is responsible for the creation of reward factories.">iRewardType</a>* <a class="code" href="structiQuestManager.html#a18b239b4a70de7f49629c0c65189610c" title="Get a reward type from the quest manager.">GetRewardType</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00310"></a>00310 
<a name="l00330"></a>00330   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuestManager.html#a2431f1de00a37b51a4e4c1c68240b8e5" title="Register a seqop reward type.">RegisterSeqOpType</a> (<a class="code" href="structiSeqOpType.html" title="The seqop type is responsible for the creation of seqop factories.">iSeqOpType</a>* seqop) = 0;
<a name="l00331"></a>00331 
<a name="l00336"></a>00336   <span class="keyword">virtual</span> <a class="code" href="structiSeqOpType.html" title="The seqop type is responsible for the creation of seqop factories.">iSeqOpType</a>* <a class="code" href="structiQuestManager.html#a11afcd1743512ffa027032acb597ee6e" title="Get a seqop type from the quest manager.">GetSeqOpType</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00337"></a>00337 
<a name="l00341"></a>00341   <span class="keyword">virtual</span> <a class="code" href="structiQuestFactory.html" title="A quest factory.">iQuestFactory</a>* <a class="code" href="structiQuestManager.html#a0e778377cbe10fb06fb0507a125ce880" title="Get a quest factory by name.">GetQuestFactory</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00342"></a>00342 
<a name="l00346"></a>00346   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestManager.html#ab7c9f7fcdc6ae6134e18b65196c1bcfa" title="Delete a quest factory by name.">RemoveQuestFactory</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00347"></a>00347 
<a name="l00351"></a>00351   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiQuestManager.html#a793672a32b468fdd81d9581d7e139d20" title="Delete all quest factories.">RemoveQuestFactories</a> () = 0;
<a name="l00352"></a>00352 
<a name="l00358"></a>00358   <span class="keyword">virtual</span> <a class="code" href="structiQuestFactory.html" title="A quest factory.">iQuestFactory</a>* <a class="code" href="structiQuestManager.html#af7e110437a79d5fcb4f190bef935f457" title="Create an empty quest factory.">CreateQuestFactory</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00359"></a>00359 
<a name="l00365"></a>00365   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiQuestManager.html#ac8fcc591814839a9d6af627420401f93" title="Load a bunch of quest factories.">Load</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a>* node) = 0;
<a name="l00366"></a>00366 
<a name="l00371"></a>00371   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a3ecbde49a9d29134528c6b0c68ad34db" title="Convenience method to add a &#39;newstate&#39; reward factory to a response factory.">AddNewStateReward</a> (
<a name="l00372"></a>00372         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00373"></a>00373         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* state_par) = 0;
<a name="l00374"></a>00374 
<a name="l00379"></a>00379   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a6bdaabd35a805df6f7efabbd7d252be7" title="Convenience method to add a &#39;debugprint&#39; reward factory to a response factory.">AddDebugPrintReward</a> (
<a name="l00380"></a>00380         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00381"></a>00381         <span class="keyword">const</span> <span class="keywordtype">char</span>* msg) = 0;
<a name="l00382"></a>00382 
<a name="l00387"></a>00387   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#af43fea5ff78fd0ea88e0505ccedaa512" title="Convenience method to add an &#39;inventory&#39; reward factory to a response factory.">AddInventoryReward</a> (
<a name="l00388"></a>00388         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00389"></a>00389         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* child_entity_par) = 0;
<a name="l00390"></a>00390 
<a name="l00395"></a>00395   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a0023903a2c0deec53d275946be714932" title="Convenience method to add an &#39;sequence&#39; reward factory to a response factory.">AddSequenceReward</a> (
<a name="l00396"></a>00396         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00397"></a>00397         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* sequence_par,
<a name="l00398"></a>00398         <span class="keyword">const</span> <span class="keywordtype">char</span>* delay_par) = 0;
<a name="l00399"></a>00399 
<a name="l00400"></a>00400 
<a name="l00405"></a>00405   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a63492dcaa4714deebbfda167360df30a" title="Convenience method to add an &#39;cssequence&#39; reward factory to a response factory.">AddCsSequenceReward</a> (
<a name="l00406"></a>00406         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00407"></a>00407         <span class="keyword">const</span> <span class="keywordtype">char</span>* sequence_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* delay_par) = 0;
<a name="l00408"></a>00408 
<a name="l00413"></a>00413   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#abc45458f72ae6c6e8883dd8e267f543c" title="Convenience method to add an &#39;sequencefinish&#39; reward factory to a response factory.">AddSequenceFinishReward</a> (
<a name="l00414"></a>00414         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00415"></a>00415         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* sequence_par) = 0;
<a name="l00416"></a>00416 
<a name="l00422"></a>00422   <span class="keyword">virtual</span> <a class="code" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyRewardFactory</a>* <a class="code" href="structiQuestManager.html#adab90e8984c891851def011eb34008e5" title="Convenience method to add a &#39;changeproperty&#39; reward factory to a response factory.">AddChangePropertyReward</a> (
<a name="l00423"></a>00423         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00424"></a>00424         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* prop_par) = 0;
<a name="l00425"></a>00425 
<a name="l00432"></a>00432   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#ae25a9009348190cff1e5c1e068d2dd27" title="Convenience method to add a &#39;createentity&#39; reward factory to a response factory.">AddCreateEntityReward</a> (
<a name="l00433"></a>00433         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00434"></a>00434         <span class="keyword">const</span> <span class="keywordtype">char</span>* template_par,
<a name="l00435"></a>00435         <span class="keyword">const</span> <span class="keywordtype">char</span>* name_par,
<a name="l00436"></a>00436     <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celEntityTemplateParams</a> &amp;tpl_params) = 0;
<a name="l00437"></a>00437 
<a name="l00443"></a>00443   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a91e3b35ea8e6c85cbe423d3c1edd43f4" title="Convenience method to add a &#39;destroyentity&#39; reward factory to a response factory.">AddDestroyEntityReward</a>(
<a name="l00444"></a>00444         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00445"></a>00445         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par) = 0;
<a name="l00446"></a>00446 
<a name="l00452"></a>00452   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a72864859727427b913838b2a73043974" title="Convenience method to add an &#39;action&#39; reward factory to a response factory.">AddActionReward</a> (
<a name="l00453"></a>00453         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00454"></a>00454         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par,
<a name="l00455"></a>00455         <span class="keyword">const</span> <span class="keywordtype">char</span>* id_par,
<a name="l00456"></a>00456         <span class="keyword">const</span> <span class="keywordtype">char</span>* pcclass_par) = 0;
<a name="l00457"></a>00457 
<a name="l00463"></a>00463   <span class="keyword">virtual</span> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a>* <a class="code" href="structiQuestManager.html#a4d2bc4108a5e8f7afbcde46797102856" title="Convenience method to add a &#39;message&#39; reward factory to a response factory.">AddMessageReward</a> (
<a name="l00464"></a>00464         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00465"></a>00465         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par,
<a name="l00466"></a>00466         <span class="keyword">const</span> <span class="keywordtype">char</span>* id_par) = 0;
<a name="l00467"></a>00467 
<a name="l00472"></a>00472   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#ad90b1b168f76040e4f74727a3abbf0cb" title="Convenience method to set a &#39;timeout&#39; trigger factory to a response factory.">SetTimeoutTrigger</a> (
<a name="l00473"></a>00473         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00474"></a>00474         <span class="keyword">const</span> <span class="keywordtype">char</span>* timeout_par) = 0;
<a name="l00475"></a>00475 
<a name="l00480"></a>00480   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a2c5e1458063bea68a42d63d95868896f" title="Convenience method to set an &#39;entersector&#39; trigger factory to a response factory.">SetEnterSectorTrigger</a> (
<a name="l00481"></a>00481         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00482"></a>00482         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* sector_par) = 0;
<a name="l00483"></a>00483 
<a name="l00488"></a>00488   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a1148f5a6f3fa04c5b1c3e6dd61173256" title="Convenience method to set a &#39;meshentersector&#39; trigger factory to a response factory.">SetMeshEnterSectorTrigger</a> (
<a name="l00489"></a>00489         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00490"></a>00490         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* sector_par) = 0;
<a name="l00491"></a>00491 
<a name="l00496"></a>00496   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a25797c7aaf7000b995a88d77b2a19f0d" title="Convenience method to set a &#39;sequencefinish&#39; trigger factory to a response factory.">SetSequenceFinishTrigger</a> (
<a name="l00497"></a>00497         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00498"></a>00498         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* sequence_par) = 0;
<a name="l00499"></a>00499 
<a name="l00504"></a>00504   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#abc48635ccea8052ab87a85bc89138e97" title="Convenience method to set a &#39;propertychange&#39; trigger factory to a response factory.">SetPropertyChangeTrigger</a> (
<a name="l00505"></a>00505         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00506"></a>00506         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* prop_par,
<a name="l00507"></a>00507         <span class="keyword">const</span> <span class="keywordtype">char</span>* value_par) = 0;
<a name="l00508"></a>00508 
<a name="l00513"></a>00513   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a77eb5aa0e1aded24ebde28b068fab27f" title="Convenience method to set a &#39;trigger&#39; trigger factory to a response factory.">SetTriggerTrigger</a> (
<a name="l00514"></a>00514         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00515"></a>00515         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keywordtype">bool</span> do_leave = <span class="keyword">false</span>) = 0;
<a name="l00516"></a>00516 
<a name="l00521"></a>00521   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a6f252521657c562bb8cb3ce391024e50" title="Convenience method to set a &#39;watch&#39; trigger factory to a response factory.">SetWatchTrigger</a> (
<a name="l00522"></a>00522         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00523"></a>00523         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par, <span class="keyword">const</span> <span class="keywordtype">char</span>* target_entity_par,
<a name="l00524"></a>00524         <span class="keyword">const</span> <span class="keywordtype">char</span>* checktime_par,
<a name="l00525"></a>00525         <span class="keyword">const</span> <span class="keywordtype">char</span>* radius_par) = 0;
<a name="l00526"></a>00526 
<a name="l00531"></a>00531   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a49beef9769b370bb846607f432ede364" title="Convenience method to set a &#39;operation&#39; trigger factory to a response factory.">SetOperationTrigger</a> (
<a name="l00532"></a>00532         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00533"></a>00533         <span class="keyword">const</span> <span class="keywordtype">char</span>* operation_par, 
<a name="l00534"></a>00534         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefArray.html">csRefArray&lt;iTriggerFactory&gt;</a> &amp;trigger_factories) = 0;
<a name="l00535"></a>00535 
<a name="l00540"></a>00540   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a0e54308f57b8b53e7b9f57a2cc31629d" title="Convenience method to set an &#39;inventory&#39; trigger factory to a response factory.">SetInventoryTrigger</a> (
<a name="l00541"></a>00541         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00542"></a>00542         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par,
<a name="l00543"></a>00543         <span class="keyword">const</span> <span class="keywordtype">char</span>* child_par) = 0;
<a name="l00544"></a>00544 
<a name="l00549"></a>00549   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a794ac575bf3ce02e049e28655ca92d3d" title="Convenience method to set an &#39;message&#39; trigger factory to a response factory.">SetMessageTrigger</a> (
<a name="l00550"></a>00550         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00551"></a>00551         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par,
<a name="l00552"></a>00552         <span class="keyword">const</span> <span class="keywordtype">char</span>* mask_par) = 0;
<a name="l00553"></a>00553 
<a name="l00558"></a>00558   <span class="keyword">virtual</span> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>* <a class="code" href="structiQuestManager.html#a915132755275f44f8c51972088efdc50" title="Convenience method to set an &#39;meshsel&#39; trigger factory to a response factory.">SetMeshSelectTrigger</a> (
<a name="l00559"></a>00559         <a class="code" href="structiQuestTriggerResponseFactory.html" title="A trigger with response as used in a quest state.">iQuestTriggerResponseFactory</a>* response,
<a name="l00560"></a>00560         <span class="keyword">const</span> <span class="keywordtype">char</span>* entity_par) = 0;
<a name="l00561"></a>00561 
<a name="l00562"></a>00562 };
<a name="l00563"></a>00563 
<a name="l00564"></a>00564 
<a name="l00565"></a>00565 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00566"></a>00566 <span class="comment">// Specific reward implementations.</span>
<a name="l00567"></a>00567 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00568"></a>00568 
<a name="l00569"></a>00569 
<a name="l00589"></a><a class="code" href="structiNewStateQuestRewardFactory.html">00589</a> <span class="keyword">struct </span><a class="code" href="structiNewStateQuestRewardFactory.html" title="This interface is implemented by the reward that switches to another state.">iNewStateQuestRewardFactory</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00590"></a>00590 {
<a name="l00591"></a>00591   SCF_INTERFACE (<a class="code" href="structiNewStateQuestRewardFactory.html" title="This interface is implemented by the reward that switches to another state.">iNewStateQuestRewardFactory</a>, 0, 0, 1);
<a name="l00592"></a>00592 
<a name="l00599"></a>00599   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNewStateQuestRewardFactory.html#a2dfb7e20fe90b1f758800a699c1e5c2e" title="Set the state to go to (either a state string or a parameter if it starts with &#39;$&#39;).">SetStateParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* state) = 0;
<a name="l00600"></a>00600 
<a name="l00609"></a>00609   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNewStateQuestRewardFactory.html#a6ed64425b3c9c6b80fc761231d7a344e" title="Set the name of the entity containing the pcquest property class on which this reward will work...">SetEntityParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* entity, <span class="keyword">const</span> <span class="keywordtype">char</span>* tag = 0) = 0;
<a name="l00610"></a>00610 
<a name="l00616"></a>00616   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNewStateQuestRewardFactory.html#a58e22ea9ebb7ff39234adb43e126384b" title="Set the tag of the property class this reward will apply to.">SetTagParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* tag_par) = 0;
<a name="l00617"></a>00617 
<a name="l00624"></a>00624   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNewStateQuestRewardFactory.html#af17a13c194d2d5dbf932abcc1d40d64d" title="Set the name of the entity class containing the property class on which this reward will work...">SetClassParameter</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* ent_class) = 0;
<a name="l00625"></a>00625 };
<a name="l00626"></a>00626 
<a name="l00627"></a>00627 
<a name="l00628"></a>00628 
<a name="l00629"></a>00629 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00630"></a>00630 
<a name="l00634"></a>00634 <span class="preprocessor">#define CEL_DECLARE_QUESTREWARDTYPE(name,id)                                    \</span>
<a name="l00635"></a>00635 <span class="preprocessor">class cel##name##RewardType : public scfImplementation1&lt;                \</span>
<a name="l00636"></a>00636 <span class="preprocessor">                cel##name##RewardType,iRewardType&gt;                      \</span>
<a name="l00637"></a>00637 <span class="preprocessor">{                                                                       \</span>
<a name="l00638"></a>00638 <span class="preprocessor">public:                                                                 \</span>
<a name="l00639"></a>00639 <span class="preprocessor">  iObjectRegistry* object_reg;                                          \</span>
<a name="l00640"></a>00640 <span class="preprocessor">  csWeakRef&lt;iCelPlLayer&gt; pl;                                            \</span>
<a name="l00641"></a>00641 <span class="preprocessor">  cel##name##RewardType (iObjectRegistry* object_reg);                  \</span>
<a name="l00642"></a>00642 <span class="preprocessor">  virtual ~cel##name##RewardType () { }                                 \</span>
<a name="l00643"></a>00643 <span class="preprocessor">  virtual const char* GetName () const { return id; }                   \</span>
<a name="l00644"></a>00644 <span class="preprocessor">  virtual csPtr&lt;iRewardFactory&gt; CreateRewardFactory ();         \</span>
<a name="l00645"></a>00645 <span class="preprocessor">};</span>
<a name="l00646"></a>00646 <span class="preprocessor"></span>
<a name="l00650"></a>00650 <span class="preprocessor">#define CEL_IMPLEMENT_QUESTREWARDTYPE(name)                                     \</span>
<a name="l00651"></a>00651 <span class="preprocessor">cel##name##RewardType::cel##name##RewardType (                          \</span>
<a name="l00652"></a>00652 <span class="preprocessor">        iObjectRegistry* object_reg) : scfImplementationType (this)     \</span>
<a name="l00653"></a>00653 <span class="preprocessor">{                                                                       \</span>
<a name="l00654"></a>00654 <span class="preprocessor">  cel##name##RewardType::object_reg = object_reg;                       \</span>
<a name="l00655"></a>00655 <span class="preprocessor">  pl = csQueryRegistry&lt;iCelPlLayer&gt; (object_reg);                       \</span>
<a name="l00656"></a>00656 <span class="preprocessor">}                                                                       \</span>
<a name="l00657"></a>00657 <span class="preprocessor">csPtr&lt;iRewardFactory&gt; cel##name##RewardType::CreateRewardFactory ()\</span>
<a name="l00658"></a>00658 <span class="preprocessor">{                                                                       \</span>
<a name="l00659"></a>00659 <span class="preprocessor">  cel##name##RewardFactory* fact = new                                  \</span>
<a name="l00660"></a>00660 <span class="preprocessor">        cel##name##RewardFactory (this);                                \</span>
<a name="l00661"></a>00661 <span class="preprocessor">  return fact;                                                          \</span>
<a name="l00662"></a>00662 <span class="preprocessor">}</span>
<a name="l00663"></a>00663 <span class="preprocessor"></span>
<a name="l00664"></a>00664 <span class="comment">//-------------------------------------------------------------------------</span>
<a name="l00665"></a>00665 
<a name="l00666"></a>00666 <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a69b27a22db26f4a2bb7a26a85d2ab06b">CS_DEPRECATED_METHOD_MSG</a>(<span class="stringliteral">&quot;Use iParameter instead&quot;</span>)
<a name="l00667"></a>00667 typedef <a class="code" href="structiParameter.html" title="This interface represents a parameter to a sequence, trigger, or reward.">iParameter</a> <a class="code" href="structiParameter.html" title="This interface represents a parameter to a sequence, trigger, or reward.">iQuestParameter</a>;
<a name="l00668"></a>00668 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTriggerCallback.html" title="A trigger will get pointers to call back the quest when the trigger fires through this interface...">iTriggerCallback</a> instead&quot;)
<a name="l00669"></a>00669 typedef <a class="code" href="structiTriggerCallback.html" title="A trigger will get pointers to call back the quest when the trigger fires through this interface...">iTriggerCallback</a> <a class="code" href="structiTriggerCallback.html" title="A trigger will get pointers to call back the quest when the trigger fires through this interface...">iQuestTriggerCallback</a>;
<a name="l00670"></a>00670 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTrigger.html" title="This is a trigger.">iTrigger</a> instead&quot;)
<a name="l00671"></a>00671 typedef <a class="code" href="structiTrigger.html" title="This is a trigger.">iTrigger</a> <a class="code" href="structiTrigger.html" title="This is a trigger.">iQuestTrigger</a>;
<a name="l00672"></a>00672 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a> instead&quot;)
<a name="l00673"></a>00673 typedef <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a> <a class="code" href="structiTriggerFactory.html" title="A factory to create triggers.">iQuestTriggerFactory</a>;
<a name="l00674"></a>00674 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iTriggerType</a> instead&quot;)
<a name="l00675"></a>00675 typedef <a class="code" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iTriggerType</a> <a class="code" href="structiTriggerType.html" title="The trigger type is responsible for the creation of trigger factories.">iQuestTriggerType</a>;
<a name="l00676"></a>00676 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiReward.html" title="This is a reward.">iReward</a> instead&quot;)
<a name="l00677"></a>00677 typedef <a class="code" href="structiReward.html" title="This is a reward.">iReward</a> <a class="code" href="structiReward.html" title="This is a reward.">iQuestReward</a>;
<a name="l00678"></a>00678 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a> instead&quot;)
<a name="l00679"></a>00679 typedef <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iRewardFactory</a> <a class="code" href="structiRewardFactory.html" title="A factory to create rewards.">iQuestRewardFactory</a>;
<a name="l00680"></a>00680 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiRewardType.html" title="The reward type is responsible for the creation of reward factories.">iRewardType</a> instead&quot;)
<a name="l00681"></a>00681 typedef <a class="code" href="structiRewardType.html" title="The reward type is responsible for the creation of reward factories.">iRewardType</a> <a class="code" href="structiRewardType.html" title="The reward type is responsible for the creation of reward factories.">iQuestRewardType</a>;
<a name="l00682"></a>00682 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSeqOp.html" title="This is a sequence operation.">iSeqOp</a> instead&quot;)
<a name="l00683"></a>00683 typedef <a class="code" href="structiSeqOp.html" title="This is a sequence operation.">iSeqOp</a> <a class="code" href="structiSeqOp.html" title="This is a sequence operation.">iQuestSeqOp</a>;
<a name="l00684"></a>00684 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSeqOpFactory.html" title="A factory to create sequence operators.">iSeqOpFactory</a> instead&quot;)
<a name="l00685"></a>00685 typedef <a class="code" href="structiSeqOpFactory.html" title="A factory to create sequence operators.">iSeqOpFactory</a> <a class="code" href="structiSeqOpFactory.html" title="A factory to create sequence operators.">iQuestSeqOpFactory</a>;
<a name="l00686"></a>00686 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSeqOpType.html" title="The seqop type is responsible for the creation of seqop factories.">iSeqOpType</a> instead&quot;)
<a name="l00687"></a>00687 typedef <a class="code" href="structiSeqOpType.html" title="The seqop type is responsible for the creation of seqop factories.">iSeqOpType</a> <a class="code" href="structiSeqOpType.html" title="The seqop type is responsible for the creation of seqop factories.">iQuestSeqOpType</a>;
<a name="l00688"></a>00688 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiCelSequenceCallback.html" title="This callback is fired when the sequences finished running properly.">iCelSequenceCallback</a> instead&quot;)
<a name="l00689"></a>00689 typedef <a class="code" href="structiCelSequenceCallback.html" title="This callback is fired when the sequences finished running properly.">iCelSequenceCallback</a> <a class="code" href="structiCelSequenceCallback.html" title="This callback is fired when the sequences finished running properly.">iQuestSequenceCallback</a>;
<a name="l00690"></a>00690 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiCelSequence.html" title="A sequence.">iCelSequence</a> instead&quot;)
<a name="l00691"></a>00691 typedef <a class="code" href="structiCelSequence.html" title="A sequence.">iCelSequence</a> <a class="code" href="structiCelSequence.html" title="A sequence.">iQuestSequence</a>;
<a name="l00692"></a>00692 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiCelSequenceFactory.html" title="A representation of a sequence factory.">iCelSequenceFactory</a> instead&quot;)
<a name="l00693"></a>00693 typedef <a class="code" href="structiCelSequenceFactory.html" title="A representation of a sequence factory.">iCelSequenceFactory</a> <a class="code" href="structiCelSequenceFactory.html" title="A representation of a sequence factory.">iQuestSequenceFactory</a>;
<a name="l00694"></a>00694 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTimeoutTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain time has expired.">iTimeoutTriggerFactory</a> instead&quot;)
<a name="l00695"></a>00695 typedef <a class="code" href="structiTimeoutTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain time has expired.">iTimeoutTriggerFactory</a> <a class="code" href="structiTimeoutTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain time has expired.">iTimeoutQuestTriggerFactory</a>;
<a name="l00696"></a>00696 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiPropertyChangeTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain property passes a test on some...">iPropertyChangeTriggerFactory</a> instead&quot;)
<a name="l00697"></a>00697 typedef <a class="code" href="structiPropertyChangeTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain property passes a test on some...">iPropertyChangeTriggerFactory</a> <a class="code" href="structiPropertyChangeTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain property passes a test on some...">iPropertyChangeQuestTriggerFactory</a>;
<a name="l00698"></a>00698 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiMeshSelectTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain mesh is selected.">iMeshSelectTriggerFactory</a> instead&quot;)
<a name="l00699"></a>00699 typedef <a class="code" href="structiMeshSelectTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain mesh is selected.">iMeshSelectTriggerFactory</a> <a class="code" href="structiMeshSelectTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain mesh is selected.">iMeshSelectQuestTriggerFactory</a>;
<a name="l00700"></a>00700 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiInventoryTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain inventory gets some entity...">iInventoryTriggerFactory</a> instead&quot;)
<a name="l00701"></a>00701 typedef <a class="code" href="structiInventoryTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain inventory gets some entity...">iInventoryTriggerFactory</a> <a class="code" href="structiInventoryTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain inventory gets some entity...">iInventoryQuestTriggerFactory</a>;
<a name="l00702"></a>00702 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiEnterSectorTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sector is entered.">iEnterSectorTriggerFactory</a> instead&quot;)
<a name="l00703"></a>00703 typedef <a class="code" href="structiEnterSectorTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sector is entered.">iEnterSectorTriggerFactory</a> <a class="code" href="structiEnterSectorTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sector is entered.">iEnterSectorQuestTriggerFactory</a>;
<a name="l00704"></a>00704 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiOperationTriggerFactory.html" title="This interface is implemented by the operation trigger, that allows to combine several triggers using...">iOperationTriggerFactory</a> instead&quot;)
<a name="l00705"></a>00705 typedef <a class="code" href="structiOperationTriggerFactory.html" title="This interface is implemented by the operation trigger, that allows to combine several triggers using...">iOperationTriggerFactory</a> <a class="code" href="structiOperationTriggerFactory.html" title="This interface is implemented by the operation trigger, that allows to combine several triggers using...">iOperationQuestTriggerFactory</a>;
<a name="l00706"></a>00706 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSequenceFinishTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sequence finishes.">iSequenceFinishTriggerFactory</a> instead&quot;)
<a name="l00707"></a>00707 typedef <a class="code" href="structiSequenceFinishTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sequence finishes.">iSequenceFinishTriggerFactory</a> <a class="code" href="structiSequenceFinishTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sequence finishes.">iSequenceFinishQuestTriggerFactory</a>;
<a name="l00708"></a>00708 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTriggerTriggerFactory.html" title="This interface is implemented by the trigger that fires when a pctrigger fires.">iTriggerTriggerFactory</a> instead&quot;)
<a name="l00709"></a>00709 typedef <a class="code" href="structiTriggerTriggerFactory.html" title="This interface is implemented by the trigger that fires when a pctrigger fires.">iTriggerTriggerFactory</a> <a class="code" href="structiTriggerTriggerFactory.html" title="This interface is implemented by the trigger that fires when a pctrigger fires.">iTriggerQuestTriggerFactory</a>;
<a name="l00710"></a>00710 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiMessageTriggerFactory.html" title="This interface is implemented by the trigger that fires when a message is sent.">iMessageTriggerFactory</a> instead&quot;)
<a name="l00711"></a>00711 typedef <a class="code" href="structiMessageTriggerFactory.html" title="This interface is implemented by the trigger that fires when a message is sent.">iMessageTriggerFactory</a> <a class="code" href="structiMessageTriggerFactory.html" title="This interface is implemented by the trigger that fires when a message is sent.">iMessageQuestTriggerFactory</a>;
<a name="l00712"></a>00712 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiWatchTriggerFactory.html" title="This interface is implemented by the trigger that fires when a mesh becomes visible.">iWatchTriggerFactory</a> instead&quot;)
<a name="l00713"></a>00713 typedef <a class="code" href="structiWatchTriggerFactory.html" title="This interface is implemented by the trigger that fires when a mesh becomes visible.">iWatchTriggerFactory</a> <a class="code" href="structiWatchTriggerFactory.html" title="This interface is implemented by the trigger that fires when a mesh becomes visible.">iWatchQuestTriggerFactory</a>;
<a name="l00714"></a>00714 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiDebugPrintRewardFactory.html" title="This interface is implemented by the reward that prints debug messages on standard output...">iDebugPrintRewardFactory</a> instead&quot;)
<a name="l00715"></a>00715 typedef <a class="code" href="structiDebugPrintRewardFactory.html" title="This interface is implemented by the reward that prints debug messages on standard output...">iDebugPrintRewardFactory</a> <a class="code" href="structiDebugPrintRewardFactory.html" title="This interface is implemented by the reward that prints debug messages on standard output...">iDebugPrintQuestRewardFactory</a>;
<a name="l00716"></a>00716 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyRewardFactory</a> instead&quot;)
<a name="l00717"></a>00717 typedef <a class="code" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyRewardFactory</a> <a class="code" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyQuestRewardFactory</a>;
<a name="l00718"></a>00718 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiInventoryRewardFactory.html" title="This interface is implemented by the reward that manipulates the inventory.">iInventoryRewardFactory</a> instead&quot;)
<a name="l00719"></a>00719 typedef <a class="code" href="structiInventoryRewardFactory.html" title="This interface is implemented by the reward that manipulates the inventory.">iInventoryRewardFactory</a> <a class="code" href="structiInventoryRewardFactory.html" title="This interface is implemented by the reward that manipulates the inventory.">iInventoryQuestRewardFactory</a>;
<a name="l00720"></a>00720 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiCsSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a Crystal Space sequence.">iCsSequenceRewardFactory</a> instead&quot;)
<a name="l00721"></a>00721 typedef <a class="code" href="structiCsSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a Crystal Space sequence.">iCsSequenceRewardFactory</a> <a class="code" href="structiCsSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a Crystal Space sequence.">iCsSequenceQuestRewardFactory</a>;
<a name="l00722"></a>00722 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a sequence.">iSequenceRewardFactory</a> instead&quot;)
<a name="l00723"></a>00723 typedef <a class="code" href="structiSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a sequence.">iSequenceRewardFactory</a> <a class="code" href="structiSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a sequence.">iSequenceQuestRewardFactory</a>;
<a name="l00724"></a>00724 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiSequenceFinishRewardFactory.html" title="This interface is implemented by the reward that finishes a sequence.">iSequenceFinishRewardFactory</a> instead&quot;)
<a name="l00725"></a>00725 typedef <a class="code" href="structiSequenceFinishRewardFactory.html" title="This interface is implemented by the reward that finishes a sequence.">iSequenceFinishRewardFactory</a> <a class="code" href="structiSequenceFinishRewardFactory.html" title="This interface is implemented by the reward that finishes a sequence.">iSequenceFinishQuestRewardFactory</a>;
<a name="l00726"></a>00726 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiMessageRewardFactory.html" title="This interface is implemented by the reward that sends a message to some entity (the behaviour will g...">iMessageRewardFactory</a> instead&quot;)
<a name="l00727"></a>00727 typedef <a class="code" href="structiMessageRewardFactory.html" title="This interface is implemented by the reward that sends a message to some entity (the behaviour will g...">iMessageRewardFactory</a> <a class="code" href="structiMessageRewardFactory.html" title="This interface is implemented by the reward that sends a message to some entity (the behaviour will g...">iMessageQuestRewardFactory</a>;
<a name="l00728"></a>00728 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiActionRewardFactory.html" title="This interface is implemented by the reward that sends an action to some entity or entity class prope...">iActionRewardFactory</a> instead&quot;)
<a name="l00729"></a>00729 typedef <a class="code" href="structiActionRewardFactory.html" title="This interface is implemented by the reward that sends an action to some entity or entity class prope...">iActionRewardFactory</a> <a class="code" href="structiActionRewardFactory.html" title="This interface is implemented by the reward that sends an action to some entity or entity class prope...">iActionQuestRewardFactory</a>;
<a name="l00730"></a>00730 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiDestroyEntityRewardFactory.html" title="This interface is implemented by the reward that destroys an entity.">iDestroyEntityRewardFactory</a> instead&quot;)
<a name="l00731"></a>00731 typedef <a class="code" href="structiDestroyEntityRewardFactory.html" title="This interface is implemented by the reward that destroys an entity.">iDestroyEntityRewardFactory</a> <a class="code" href="structiDestroyEntityRewardFactory.html" title="This interface is implemented by the reward that destroys an entity.">iDestroyEntityQuestRewardFactory</a>;
<a name="l00732"></a>00732 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiCreateEntityRewardFactory.html" title="This interface is implemented by the createentity reward, which can create entities from entity templ...">iCreateEntityRewardFactory</a> instead&quot;)
<a name="l00733"></a>00733 typedef <a class="code" href="structiCreateEntityRewardFactory.html" title="This interface is implemented by the createentity reward, which can create entities from entity templ...">iCreateEntityRewardFactory</a> <a class="code" href="structiCreateEntityRewardFactory.html" title="This interface is implemented by the createentity reward, which can create entities from entity templ...">iCreateEntityQuestRewardFactory</a>;
<a name="l00734"></a>00734 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiDebugPrintSeqOpFactory.html" title="This interface is implemented by the seqop that prints debug messages on standard output...">iDebugPrintSeqOpFactory</a> instead&quot;)
<a name="l00735"></a>00735 typedef <a class="code" href="structiDebugPrintSeqOpFactory.html" title="This interface is implemented by the seqop that prints debug messages on standard output...">iDebugPrintSeqOpFactory</a> <a class="code" href="structiDebugPrintSeqOpFactory.html" title="This interface is implemented by the seqop that prints debug messages on standard output...">iDebugPrintQuestSeqOpFactory</a>;
<a name="l00736"></a>00736 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiTransformSeqOpFactory.html" title="This interface is implemented by the seqop that transforms meshes.">iTransformSeqOpFactory</a> instead&quot;)
<a name="l00737"></a>00737 typedef <a class="code" href="structiTransformSeqOpFactory.html" title="This interface is implemented by the seqop that transforms meshes.">iTransformSeqOpFactory</a> <a class="code" href="structiTransformSeqOpFactory.html" title="This interface is implemented by the seqop that transforms meshes.">iTransformQuestSeqOpFactory</a>;
<a name="l00738"></a>00738 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiMovePathSeqOpFactory.html" title="This interface is implemented by the seqop that moves meshes along a path.">iMovePathSeqOpFactory</a> instead&quot;)
<a name="l00739"></a>00739 typedef <a class="code" href="structiMovePathSeqOpFactory.html" title="This interface is implemented by the seqop that moves meshes along a path.">iMovePathSeqOpFactory</a> <a class="code" href="structiMovePathSeqOpFactory.html" title="This interface is implemented by the seqop that moves meshes along a path.">iMovePathQuestSeqOpFactory</a>;
<a name="l00740"></a>00740 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiLightSeqOpFactory.html" title="This interface is implemented by the seqop that animates light colors.">iLightSeqOpFactory</a> instead&quot;)
<a name="l00741"></a>00741 typedef <a class="code" href="structiLightSeqOpFactory.html" title="This interface is implemented by the seqop that animates light colors.">iLightSeqOpFactory</a> <a class="code" href="structiLightSeqOpFactory.html" title="This interface is implemented by the seqop that animates light colors.">iLightQuestSeqOpFactory</a>;
<a name="l00742"></a>00742 CS_DEPRECATED_METHOD_MSG(&quot;Use <a class="code" href="structiPropertySeqOpFactory.html" title="This interface is implemented by the seqop that transforms property class properties.">iPropertySeqOpFactory</a> instead&quot;)
<a name="l00743"></a>00743 typedef <a class="code" href="structiPropertySeqOpFactory.html" title="This interface is implemented by the seqop that transforms property class properties.">iPropertySeqOpFactory</a> <a class="code" href="structiPropertySeqOpFactory.html" title="This interface is implemented by the seqop that transforms property class properties.">iPropertyQuestSeqOpFactory</a>;
<a name="l00744"></a>00744 
<a name="l00745"></a>00745 <span class="preprocessor">#endif // __CEL_MGR_QUEST__</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
